SpeciesCapability (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum SpeciesCapability

- java.lang.Object
- - java.lang.Enum<SpeciesCapability>
  - - org.gcube.portlets.user.speciesdiscovery.shared.SpeciesCapability

- All Implemented Interfaces:
    Serializable, Comparable<SpeciesCapability>

      public enum SpeciesCapability
      extends Enum<SpeciesCapability>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROMDATE`
    `LOWERBOUND`
    `NAMESMAPPING`
    `OCCURRENCESPOINTS`
    `RESULTITEM`
    `SYNONYMS`
    `TAXONOMYITEM`
    `TODATE`
    `UNFOLD`
    `UNKNOWN`
    `UPPERBOUND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `static SpeciesCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpeciesCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROMDATE

          public static final SpeciesCapability FROMDATE

    - #### TODATE

          public static final SpeciesCapability TODATE

    - #### LOWERBOUND

          public static final SpeciesCapability LOWERBOUND

    - #### UPPERBOUND

          public static final SpeciesCapability UPPERBOUND

    - #### RESULTITEM

          public static final SpeciesCapability RESULTITEM

    - #### TAXONOMYITEM

          public static final SpeciesCapability TAXONOMYITEM

    - #### OCCURRENCESPOINTS

          public static final SpeciesCapability OCCURRENCESPOINTS

    - #### SYNONYMS

          public static final SpeciesCapability SYNONYMS

    - #### UNFOLD

          public static final SpeciesCapability UNFOLD

    - #### NAMESMAPPING

          public static final SpeciesCapability NAMESMAPPING

    - #### UNKNOWN

          public static final SpeciesCapability UNKNOWN

  - ### Method Detail

    - #### values

          public static SpeciesCapability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpeciesCapability c : SpeciesCapability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpeciesCapability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

    - #### getName

          public String getName()

Copyright © 2013. All Rights Reserved.